Subject: bug#72684: 29.3; Wayland, daemon: window wont resize

From: Rustom Mody <[email-masked]>
Date: Tue, 20 Aug 2024 10:05:00 +0530

emacs (client) has stopped starting now!!

In more detail
emacsclient -n -c
Nothing happens

emacsclient -c
starts a text emacs within the shell

Plain emacs starts

[Will be without my machine for a few days; in case anyone wants to
test out things]

On Mon, Aug 19, 2024 at 5:51 PM Rustom Mody <[email-masked]> wrote:
>
> On Mon, Aug 19, 2024 at 5:25 PM Eli Zaretskii <[email-masked]> wrote:
> > So you just type "emacs -Q", and get a window that is sometimes very
> > small, and you cannot resize it?  Or do you need to do something else?
>
> When I said "I got it" it was because I got it from the above
> But it's transient (so its not happening now)
>
> >
> > > Seems to happen more with emacs-daemon-client which is my normal usage pattern
> >
> > This seems to imply that you start Emacs like this:
> >
> >  $ emacs -Q --daemon
> >
> > and then connect to it using emacsclient and get a window that cannot
> > be resized by mouse or is very small, is that true?
>
> By default I have in my startup applications:
>
> emacs -r -fg-daemon
>
> M shortform to start emacs is my own .desktop file in .local whose exec line is
>
> Exec=/usr/bin/emacsclient -c %F